﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Data Analyzer</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Data Analyzer</h1>
        <p>Data Analyzer helps you to analyze the data stored in the Saviynt Identity Governance and Administration (IGA) database. It accesses the database schema in the read-only mode from the user interface through database queries without accessing the database directly. It provides you an option to define queries to select the data sources. After the results are obtained, you can export them for analysis.</p>
        <h2>Prerequisites</h2>
        <p>You must perform certain tasks to enable the Data Analyzer option in the application. To accomplish this, contact the Saviynt support team.</p>
        <h2>Executing a Query</h2>
        <p>To execute a query using Data Analyzer, perform the following steps:</p>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li MadCap:conditions="Default.v55X">
                <p>Go to <strong>ADMIN &gt; Admin Function</strong>.</p>
            </li>
            <li MadCap:conditions="Default.v55X">
                <p>Click <strong>Data Analyzer</strong>.</p>
                <p>The Data Analyzer page is displayed with the following options:</p>
                <p>
                    <img src="../Resources/Images/Data-Analyzer.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <ul>
                    <li>
                        <p><strong>Schema</strong>: Represents the database objects that contain all the data. The data is logically organized in the row and column format. Every object is represented in a separate table. To check the field names associated with a table, click the <strong>[+]</strong> icon for the table.</p>
                        <p class="table-text">The Data Analyzer access is configured to restrict access to sensitive data for some of the database object tables and the select * query may not display the results for some of the columns in the tables. For example, the select * from analyticsconfig query displays the table for the analyticsconfig database object but if the access is restricted for some of the columns in the users database object then after running the select * from users query an access error appears. In such a scenario, you can access other columns of the users database object that are not restricted. If the USERKEY column is not restricted then you can access it by entering the following sample query:</p>
                        <p><span class="attr">select username from users where userkey = 1</span>
                        </p>
                    </li>
                    <li>
                        <p><strong>SQL Builder</strong>: Allows you to enter the query to execute. To add tables and columns in the query, drag and drop them from the list. Ensure that the column names are specified in the query.</p>
                    </li>
                    <li>
                        <p><strong>Current Query</strong>: Displays the previously executed query.</p>
                    </li>
                </ul>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>On the top right of the home page, click the <strong>Applications</strong> icon, and select <strong>Admin</strong>.</p>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li MadCap:conditions="Default.v2021X,Default.v2020X">
                <p>In the left pane, under <strong>Admin Functions</strong>, click <strong>Data Analyzer</strong>. </p>
                <p>The Data Analyzer page is displayed with the following options:</p>
                <p>
                    <img src="../Resources/Images/Data-Analyzer.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <ul>
                    <li>
                        <p><strong>Schema</strong>: Represents the database objects that contain all the data. The data is logically organized in the row and column format. Every object is represented in a separate table. To check the field names associated with a table, click the <strong>[+]</strong> icon for the table.</p>
                        <p class="table-text">The Data Analyzer access is configured to restrict access to sensitive data for some of the database object tables and the select * query may not display the results for some of the columns in the tables. For example, the select * from analyticsconfig query displays the table for the analyticsconfig database object but if the access is restricted for some of the columns in the users database object then after running the select * from users query an access error appears. In such a scenario, you can access other columns of the users database object that are not restricted. If the USERKEY column is not restricted then you can access it by entering the following sample query:</p>
                        <p><span class="attr">select username from users where userkey = 1</span>
                        </p>
                    </li>
                    <li>
                        <p><strong>SQL Builder</strong>: Allows you to enter the query to execute. To add tables and columns in the query, drag and drop them from the list. Ensure that the column names are specified in the query.</p>
                    </li>
                    <li>
                        <p><strong>Current Query</strong>: Displays the previously executed query.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>After creating the query, click <strong>Execute Query</strong>. After the query is executed, the list of results is displayed.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <ul>
                        <li>
                            <p class="note">If the query is executed in 10 seconds, the result is displayed. Otherwise, the query is not executed and the appropriate error message is displayed.</p>
                        </li>
                        <li>
                            <p>Only 100 entries are displayed by default.</p>
                        </li>
                    </ul>
                </div>
                <p>For the arstasks and users database object tables, the select * query is not supported except for the selected columns mentioned below:</p>
                <ul>
                    <li>
                        <p>arstasks database object table:</p>
                        <p>
                            <label class="param-value">USERKEY, UPDATEDATE, UPDATEACCOUNTTASKCREATED, UPADTEUSER, TRAIL, TICKETID, TASKTYPE, TASKKEY, TASKDATE, STATUS, STARTDATE, SOURCEID, SOURCE, SECURITYSYSTEM, SAVCONATTRS, REQUESTRULETASKCREATED, REQUESTKEY, REQUESTEDBY, REQUESTACCESSKEY, PROVISIONINGTRIES, PROVISIONINGMETADATA, PROVISIONINGCOMMENTS, PARENTTASK, OWNERTYPE, OWNERKEY, EXTERNALCONNECTION,ENTITLEMENT_VALUEKEY, ENDPOINT, ENDDATE, COMMENTS,ASSIGNEDFROMRULE, ASSIGNEDFROMROLES, ASSIGNEDFROMROLE, ACCOUNTNAME, and ACCOUNTKEY.</label>
                        </p>
                    </li>
                    <li>
                        <p>users database object table:</p>
                        <p>
                            <label class="param-value">ACCOUNTEXPIRED, ACCOUNTLOCKED,CITY, COMMENTS, COMPANYNAME, COSTCENTER, COUNTRY, CREATEDATE, CREATEDBY, CUSTOMER, CUSTOMPROPERTY1, CUSTOMPROPERTY10, CUSTOMPROPERTY11, CUSTOMPROPERTY12, CUSTOMPROPERTY13, CUSTOMPROPERTY14, CUSTOMPROPERTY15, CUSTOMPROPERTY16, CUSTOMPROPERTY17, CUSTOMPROPERTY18, CUSTOMPROPERTY19, CUSTOMPROPERTY2, CUSTOMPROPERTY20, CUSTOMPROPERTY21, CUSTOMPROPERTY22, CUSTOMPROPERTY23, CUSTOMPROPERTY24, CUSTOMPROPERTY25, CUSTOMPROPERTY26, CUSTOMPROPERTY27, CUSTOMPROPERTY28, CUSTOMPROPERTY29, CUSTOMPROPERTY3, CUSTOMPROPERTY30, CUSTOMPROPERTY31, CUSTOMPROPERTY32, CUSTOMPROPERTY33, CUSTOMPROPERTY34, CUSTOMPROPERTY35, CUSTOMPROPERTY36, CUSTOMPROPERTY37, CUSTOMPROPERTY38, CUSTOMPROPERTY39, CUSTOMPROPERTY4, CUSTOMPROPERTY40, CUSTOMPROPERTY41, CUSTOMPROPERTY42, CUSTOMPROPERTY43, CUSTOMPROPERTY44, CUSTOMPROPERTY45, CUSTOMPROPERTY46, CUSTOMPROPERTY47, CUSTOMPROPERTY48, CUSTOMPROPERTY49, CUSTOMPROPERTY5, CUSTOMPROPERTY50, CUSTOMPROPERTY51, CUSTOMPROPERTY52, CUSTOMPROPERTY53, CUSTOMPROPERTY54, CUSTOMPROPERTY55, CUSTOMPROPERTY56, CUSTOMPROPERTY57, CUSTOMPROPERTY58, CUSTOMPROPERTY59, CUSTOMPROPERTY6, CUSTOMPROPERTY60, CUSTOMPROPERTY61, CUSTOMPROPERTY62, CUSTOMPROPERTY63, CUSTOMPROPERTY64, CUSTOMPROPERTY65, CUSTOMPROPERTY7, CUSTOMPROPERTY8, CUSTOMPROPERTY9, DEPARTMENTNAME, DEPARTMENTNUMBER, DISPLAYNAME, DONOTDISTURBDELEGATE, EMAIL, EMPLOYEECLASS, EMPLOYEEID, EMPLOYEETYPE, ENABLED, ENDDATE, ENTITY, FAILEDTRIES, FIRSTNAME, HANARULEKEY, JOBCODE, JOBCODEDESC, JOBDESCRIPTION, JOB_FUNCTION,JOB_ID, LASTCERTIFIEDCAMPAIGNNAME, LASTCERTIFIEDDATE, LASTCERTIFIEDUSER,LASTNAME, LASTPASSWORDUPDATEDATE, LASTSYNCDATE, LEAVESTATUS, LOCALE,LOCATION, LOCATIONDESC, LOCATIONNUMBER, MANAGER, MIDDLENAME, ORGUNITID, OWNER, OWNERONTERMINATE, PASSWORDEXPIRED, PHONENUMBER, PREFEREDFIRSTNAME, REGION, REGIONCODE, RISKSCORE, RULEACTION, SAVUPDATEDATE, SECONDARYEMAIL, SECONDARYMANAGER, SECONDARYPHONE, SITEID, STARTDATE, STATE,STATUSKEY, STREET, SYSTEMUSERNAME, TASKCREATEDFORTERMINATE, TERMDATE, TITLE, UPDATEDATE, UPDATEUSER, USERKEY, USERNAME, USERSOURCE, USERSOURCEKEY, and VENDORMANAGER.</label>
                        </p>
                    </li>
                </ul>
            </li>
        </ol>
        <h2>Exporting Query Results</h2>
        <p>To export the result after executing the query, perform the following steps:</p>
        <ol>
            <li>
                <p>Select <strong>Actions &gt; Export</strong>.</p>
            </li>
            <li>
                <p>Choose a file format to export the result. For example, <strong>CSV</strong> or<strong> Excel</strong>.</p>
                <p>The results are exported in the selected format.</p>
            </li>
        </ol>
    </body>
</html>